﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;
using System.Collections;

namespace _344741_TileViewExample
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();

			ObservableCollection<DataItem> ItemsSource = GenerateItems();

			this.radTileView.ItemsSource = ItemsSource;
		}

		public ObservableCollection<DataItem> GenerateItems()
		{
			ObservableCollection<DataItem> result = new ObservableCollection<DataItem>();

			for (int i = 0; i < 10; i++)
			{
				result.Add(new DataItem()
				{
					Title = String.Format("Tile {0}", i),
					Description = String.Format("Description of Tile{0}", i),
					Details = String.Format("Details for Tile{0}", i),
					ImageSource = new Uri("Images/Image1.png", UriKind.Relative)
				});
			}
			return result;
		}

		private void ReplaceTile(object sender, RoutedEventArgs e)
		{
			ObservableCollection<DataItem> tempCollection = new ObservableCollection<DataItem>(this.radTileView.ItemsSource as ObservableCollection<DataItem>);
			//this.radTileView.ItemsSource as ObservableCollection<DataItem>;

			DataItem newItem = new DataItem()
			{
				Title = "NewTile {0}",
				Description = "Description of NewTile",
				Details = "Details for NewTile{0}",
				ImageSource = new Uri("Images/newImage.png", UriKind.Relative)
			};

			tempCollection.Remove(tempCollection[2]);
			tempCollection.Insert(2, newItem);

			this.radTileView.ItemsSource = tempCollection;
		}

	}
}
